<?php 
/*------------------------------------------------------------------------
 # Ytc Content Slider  - Version 1.0
 # ------------------------------------------------------------------------
 # Copyright (C) 2009-2010 The YouTech Company. All Rights Reserved.
 # @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 # Author: The YouTech Company
 # Websites: http://addon.ytcvn.com
 -------------------------------------------------------------------------*/
 
 
defined('_JEXEC') or die('Restricted access');
if (! class_exists("modOrbitContentHelper") ) { 
require_once (dirname(__FILE__) .DS. 'assets' .DS.'ytc_content.php');

class modOrbitContentHelper {
	var $module_name = '';
	function process($params, $module) {
		
		$enable_cache 		=   $params->get('cache',1);
		$cachetime			=   $params->get('cache_time',0);
		$this->module_name = $module->module;
		
		if($enable_cache==1) {			
			$conf =& JFactory::getConfig();
			$cache = &JFactory::getCache($module->module);
			$cache->setLifeTime( $params->get( 'cache_time', $conf->getValue( 'config.cachetime' ) * 60 ) );
			$cache->setCaching(true);
			$cache->setCacheValidation(true);
			$items =  $cache->get( array('modOrbitContentHelper', 'getList'), array($params));
		} else {
			$items = modOrbitContentHelper::getList($params);
		}
		
		return $items;		
		
	}
	
	
	function getList ($params) {
		
		$content = new YtcContent();
		$content->is_frontpage = $params->get('is_frontpage', 2);
		$content->is_cat_or_sec = $params->get('sec_or_cat', 1);
		if ($content->is_cat_or_sec == 0) {
			$content->cat_or_sec_ids = $params->get('sections', '');
		} else {
			$content->cat_or_sec_ids = $params->get('categories', '');
		}
		$content->limit = $params->get('total', 5);
		$content->sort_order_field = $params->get('sort_order_field', "created");
		$content->type_order = $params->get('sort_order', "ASC");
		$content->thumb_height = $params->get('thumb_height', "150px");
		$content->thumb_width = $params->get('thumb_width', "120px");
		$content->web_url = JURI::base();
		$content->max_title		=   $params->get('limittitle',25);
		$content->resize_folder = JPATH_CACHE.DS. $this->module_name .DS."images";
		$content->url_to_resize = $content->web_url . "cache/". $this->module_name ."/images/";
		$content->cropresizeimage = $params->get('cropresizeimage', 1);
		
		$items = $content->getList();
		
				
		return $items;
	}
}
			
} 
?>

