<?php
/**
 * @package Sj Content Slider
 * @version 2.5
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
defined('_JEXEC') or die;

$image_config = array(
	'output_width'  => $params->get('item_image_width',  200),
	'output_height' => $params->get('item_image_height', 200),
	'function'		=> $params->get('item_image_function', 'resize_none'),
	'background'	=> $params->get('item_image_background','#FFFFFF')
);
$options=$params->toObject();

ob_start();
?>

#yt-vm-scroller-<?php echo $module->id;?>{
     width:<?php echo $options->item_image_width;?>px;
	 margin: 10px 0px
}

#yt-vm-scroller-<?php echo $module->id;?> .yt_vm_introtext, #yt-vm-scroller-<?php echo $module->id;?> .yt_vm_footertext{
     width:<?php echo $options->item_image_width;?>px;
     overflow: hidden;      
}


#yt-vm-scroller-<?php echo $module->id;?> #featured<?php echo $module->id;?> div.caption p a {
	color:<?php echo $options->item_title_color;?>;
	text-decoration:none;
	font-family:'BebasNeueRegular';
}


#yt-vm-scroller-<?php echo $module->id;?> div.slider-nav span {
	top:<?php echo floor(($options->item_image_height / 2) - 20);?>px
}
<?php if($options->item_title_display==0 && $options->item_price_display==0) { ?>
#yt-vm-scroller-<?php echo $module->id;?> .caption{
    width:<?php echo ($options->item_image_width - 40);?>px  ; 
    display:none;
}
<?php } else { ?>
#yt-vm-scroller-<?php echo $module->id;?> .caption{
    width:<?php echo ($options->item_image_width - 40);?>px   
    
}

<?php } ?>
#yt-vm-scroller-<?php echo $module->id;?> .caption .item_title a, #yt-vm-scroller-<?php echo $module->id;?> .caption .item_title{
        color:<?php echo $options->item_title_color;?>
}

<?php if(!empty($options->item_title_background)){?>
#yt-vm-scroller-<?php echo $module->id;?> #featured_<?php echo $module->id;?> div.caption {
		background-color:<?php echo $options->item_title_background;?>;
		-ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=50)";
		filter: alpha(opacity=50);
		opacity:0.5;
	}

<?php }?>
<?php $style_theme1 = ob_get_contents(); 
@ob_end_clean();
$document = &JFactory::getDocument();
$document->addStyleDeclaration($style_theme1);?>

<script type="text/javascript">

$jsmart(document).ready(function($){
    $('#featured_<?php echo $module->id;?>').orbit({  
         animation: '<?php echo $options->effect;?>', //fade, horizontal-slide, vertical-slide
         animationSpeed: <?php echo $options->slideshow_speed;?>, //how fast animations are
         advanceSpeed: <?php echo $options->timer_speed;?>, //if timer advance is enabled, time between transitions 
         startClockOnMouseOut: false<?php //echo ($start_clock_on_mouseOut)?'true':'false';?>, //if timer should restart on MouseOut
         startClockOnMouseOutAfter:3000 <?php //echo $start_clock_on_mouseOutAfter;?>, //how long after mouseout timer should start again
         directionalNav: <?php echo ($options->prenext_show)?'true':'false';?>, //manual advan cing directional navs
         captions: <?php echo ($options->item_title_display)?'true':'false';?>,   //if has a title, will be placed at bottom
         linktitle:<?php echo ($options->item_title_linkable);?>,  
		 link_target:'<?php echo $options->item_link_target;?>',	 
         captionAnimationSpeed: 800, //how quickly to animate in caption on load and between captioned and uncaptioned photos
         timer: <?php echo ($options->play)?'true':'false';?>, //if the circular timer is wanted
         idDiv: '#featured_<?php echo $module->id;?>',
         link_image:<?php echo $options->item_image_linkable;?>
        
    });    
});
</script>




<?php if (!empty($list)){ ?>
<div id="yt-vm-scroller-<?php echo $module->id;?>">
     <?php if (!empty($options->pretext)){ ?>
    <div class="yt_vm_introtext"><?php echo $options->pretext; ?></div>
    <?php } ?>
		<div class="yt_vm_scoller" style="position: relative;">
			<div id="featured_<?php echo $module->id;?>" style="width: <?php echo $options->item_image_width?>px; height:<?php echo $options->item_image_height?>px; border:1px solid #CCC;">
				<?php foreach($list as $item) {?>
                <?php if($options->item_image_linkable == 1){?>
                <a href='<?php echo $item['link'];?>' target="<?php echo $options->item_link_target;?>">				   
					<img src="<?php  echo YTools::resize($item['image'],$image_config);?>" title="<?php if($options->item_title_display==1) echo Ytools::truncate($item['title'],$options->item_title_max_characters) ; ?>"  alt = "<?php echo $item['link'];?>" height="<?php echo $options->item_image_height; ?>px" width="<?php echo $options->item_image_width?>px"/>				
			    </a>
                <?php }else{?>
                  <img src="<?php  echo YTools::resize($item['image'],$image_config);?>" title="<?php if($options->item_title_display==1) echo Ytools::truncate($item['title'],$options->item_title_max_characters) ; ?>"  alt = "<?php echo $item['link'];?>" height="<?php echo $options->item_image_height; ?>px" width="<?php echo $options->item_image_width?>px"/>				
                <?php }?>
				<?php } ?> 
			</div>
		</div>

    <?php if (!empty($options->posttext)){ ?>
    <div class="yt_vm_footertext"><?php echo $options->posttext; ?></div>
    <?php } ?>

    </div>
<?php }else{ ?>
<p>Have no items! Please recheck module config!</p>
<?php } ?>
